# Contributing

When contributing to this repository, please first discuss the change you wish to make via issue,
email, or any other method with the owners of this repository before making a change. 

Please see [our Roadmap](https://github.com/GianniCarlo/Audiobook-Player/projects/1) if your request is already in consideration. Also check [pull requests](https://github.com/GianniCarlo/Audiobook-Player/pulls?utf8=✓&q=is%3Apr) for previous efforts. If in doubt, open a new issue. Don't be shy, but understand that we might close issues to focus the discussion and development.

Please note we have a code of conduct, please follow it in all your interactions with the project.

## Reporting a bug

1. Check [previous issues](https://github.com/GianniCarlo/Audiobook-Player/issues?utf8=✓&q=is%3Aissue). Your bug may be already fixed in the next version waiting to be released.
2. Describe your issue as extensive as possible. Our issue template will provide some basics. 
3. BookPlayer shows its version number and other debug info at the very end of the settings screen.

## Pull Request Process

1. Make sure the code you present is properly documented and tested.
2. Try to be as concise as possible. This makes it eaier to discuss and evaluate the changes you propose. 
3. Be patient. Open Source takes time. 
4. Be attentive. Pull requests are base for discussion and will require your feedback. 
5. Pull requests without futher interaction may be closed at any point.

While your contribution will be under [the license of the project](./LICENSE) (GNU GPL v. 3.0), be aware that it will most likely end up being part of a compiled binary available in the Apple App Store.



# Code of Conduct

Be excellent to each other. See [our Code of Conduct](./CODE_OF_CONDUCT.md) for details.
